%define	upstream_name	 Test-NoWarnings
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Make sure you didn't emit any warnings while testing
License:    LGPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Builder) >= 0.860.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Test::Tester) >= 0.107.0
BuildArch:  noarch

%description
In general, your tests shouldn't produce warnings. This modules causes
any warnings to be captured and stored. It automatically adds an extra
test that will run when your script ends to check that there were no
warnings. If there were any warings, the test will give a "not ok" and
diagnostics of where, when and what the warning was, including a stack
trace of what was going on when the it occurred.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Test

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.40.0-2.mga3
+ Revision: 373670
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 01 2011 kharec <kharec> 1.40.0-1.mga2
+ Revision: 174761
- update to 1.04

  + jquelin <jquelin>
    - update to 1.03

* Wed Jan 19 2011 jquelin <jquelin> 1.20.0-1.mga1
+ Revision: 24062
- fix spec file
- imported package perl-Test-NoWarnings

